# How to

[IPFS Gateways](https://docs.ipfs.io/concepts/ipfs-gateway/#overview) are HTTP-based services that access content residing on the IPFS network. They provide workarounds for applications - such as browsers, curl, and wget - that have no native support for IPFS.

For example, errors may occur when an application that does not support IPFS attempts to access content in the canonical form:

```
ipfs://<Content-Identifier>/<optional path to resource>
```

A solution is to use a custom-built private gateway or an Infura project-specific dedicated gateway.

Note: [Content identifiers](https://docs.ipfs.io/concepts/content-addressing/) must use CIDv1 (not CIDv0) because some browsers and user agents force lowercase for the authority part of URLs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ipfs-http-client-apis/how-to.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
